<?xml version="1.0" encoding="utf-8"?>

<RelativeLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    tools:ignore="MissingPrefix"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <ImageView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:scaleType="centerCrop"
        android:src="@drawable/background_wood" />

    <android.support.v7.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        app:cardCornerRadius="4dp"
        android:layout_margin="12dp">

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_alignParentTop="true"
            android:layout_alignParentLeft="true"
            android:layout_alignParentStart="true"
            android:background="@color/white">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <ch.pizzalink.android.view.PizzalinkInfoView
                    android:id="@+id/firstnamePizzalinkInfoLayout"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:description="@string/profile_firstname" />

                <ch.pizzalink.android.view.PizzalinkInfoView
                    android:id="@+id/lastnamePizzalinkInfoLayout"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:description="@string/profile_lastname" />

                <ch.pizzalink.android.view.PizzalinkInfoView
                    android:id="@+id/emailPizzalinkInfoLayout"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:description="@string/profile_email" />

                <ch.pizzalink.android.view.PizzalinkInfoView
                    android:id="@+id/phonePizzalinkInfoLayout"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:description="@string/profile_telephone" />

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:layout_marginLeft="16dp"
                    android:layout_marginStart="16dp"
                    android:layout_marginRight="16dp"
                    android:layout_marginEnd="16dp"
                    android:background="@color/navy"/>

                <RelativeLayout
                    android:id="@+id/myAddressesLayout"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:padding="16dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/my_addresses"
                        android:layout_marginTop="4dp"
                        android:textColor="@color/navy"
                        fontPath="fonts/Quicksand-Bold.ttf"
                        android:layout_centerVertical="true"
                        android:layout_alignParentLeft="true"
                        android:layout_alignParentStart="true"
                        android:layout_toLeftOf="@+id/arrow1"
                        android:layout_toStartOf="@+id/arrow1"/>

                    <ImageView
                        android:id="@+id/arrow1"
                        android:layout_width="24dp"
                        android:layout_height="24dp"
                        android:layout_alignParentRight="true"
                        android:layout_alignParentEnd="true"
                        android:layout_centerVertical="true"
                        android:src="@drawable/ic_back"
                        android:tint="@color/navy"
                        android:padding="6dp"
                        android:rotation="180"/>

                </RelativeLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:layout_marginLeft="16dp"
                    android:layout_marginStart="16dp"
                    android:layout_marginRight="16dp"
                    android:layout_marginEnd="16dp"
                    android:background="@color/navy"/>

                <RelativeLayout
                    android:id="@+id/updateProfileLayout"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:padding="16dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/update_profile"
                        fontPath="fonts/Quicksand-Bold.ttf"
                        android:textColor="@color/navy"
                        android:layout_centerVertical="true"
                        android:layout_alignParentLeft="true"
                        android:layout_alignParentStart="true" />

                    <ImageView
                        android:id="@+id/arrow2"
                        android:layout_width="24dp"
                        android:layout_height="24dp"
                        android:layout_alignParentRight="true"
                        android:layout_alignParentEnd="true"
                        android:layout_centerVertical="true"
                        android:src="@drawable/ic_back"
                        android:tint="@color/navy"
                        android:padding="6dp"
                        android:rotation="180"/>

                </RelativeLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:layout_marginLeft="16dp"
                    android:layout_marginStart="16dp"
                    android:layout_marginRight="16dp"
                    android:layout_marginEnd="16dp"
                    android:background="@color/navy"/>

                <RelativeLayout
                    android:id="@+id/updatePasswordLayout"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:padding="16dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/update_password"
                        android:layout_marginTop="4dp"
                        fontPath="fonts/Quicksand-Bold.ttf"
                        android:textColor="@color/navy"
                        android:layout_centerVertical="true"
                        android:layout_alignParentLeft="true"
                        android:layout_alignParentStart="true"
                        android:layout_toLeftOf="@+id/arrow3"
                        android:layout_toStartOf="@+id/arrow3"/>

                    <ImageView
                        android:id="@+id/arrow3"
                        android:layout_width="24dp"
                        android:layout_height="24dp"
                        android:layout_alignParentRight="true"
                        android:layout_alignParentEnd="true"
                        android:layout_centerVertical="true"
                        android:src="@drawable/ic_back"
                        android:tint="@color/navy"
                        android:padding="6dp"
                        android:rotation="180"/>

                </RelativeLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:layout_marginLeft="16dp"
                    android:layout_marginStart="16dp"
                    android:layout_marginRight="16dp"
                    android:layout_marginEnd="16dp"
                    android:background="@color/navy"/>

                <RelativeLayout
                    android:id="@+id/logoutLayout"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:padding="16dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/button_logout"
                        fontPath="fonts/Quicksand-Bold.ttf"
                        android:layout_marginTop="4dp"
                        android:textColor="@color/navy"
                        android:layout_centerVertical="true" />

                </RelativeLayout>


            </LinearLayout>

        </ScrollView>

    </android.support.v7.widget.CardView>

</RelativeLayout>

